> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Comparison Options



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/comparison-options
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/comparison-options:
    get:
      tags:
        - Product Comparison
      summary: Find Comparison Options
      operationId: ProductComparisonController_findComparisonOptions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: slotId
          required: true
          in: path
          schema:
            type: string
        - name: primaryItemId
          required: true
          in: query
          schema:
            type: string
        - name: expectedAlternativeCount
          required: true
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 2048
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductComparisonOptionsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProductComparisonOptionsResponseDto:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProductComparisonOptionDto'
        nextCursor:
          type: object
          nullable: true
        primaryItemId:
          type: string
        alternativeCount:
          type: number
        hasMore:
          type: boolean
      required:
        - schemaVersion
        - items
        - nextCursor
        - primaryItemId
        - alternativeCount
        - hasMore
    ProductComparisonOptionDto:
      type: object
      properties:
        productTypeId:
          type: object
          nullable: true
        source:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProductComparisonSourceDto'
        attributes:
          type: object
          additionalProperties:
            oneOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  oneOf:
                    - type: string
                    - type: number
                    - type: boolean
        id:
          type: string
        name:
          type: string
        categoryId:
          type: string
      required:
        - productTypeId
        - source
        - attributes
        - id
        - name
        - categoryId
    ProductComparisonSourceDto:
      type: object
      properties:
        companyName:
          type: object
          nullable: true
        officeName:
          type: object
          nullable: true
      required:
        - companyName
        - officeName
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````